

#define MAX_HASHWILD 5000
typedef struct HENTRY {char *var; char *val; struct HENTRY *next;} Hentry;
typedef struct HWILD {
	Hentry *table[MAX_HASHWILD];
	Hentry *wildones;
} Hwild;

int hwild_add_simple(Hwild *h, char *var, char *val);


Hwild *hwild_new(void);
int hwild_add(Hwild *h, char *var, char *val);
int hwild_find(Hwild *h, char *var, char *foundvar, char *val);
int hwild_free(Hwild *h);
